condition_variable File Reference

Go to the source code of this file.

## Classes

class | std::condition_variable
class | std::condition_variable_any

## Namespaces

namespace | std

## Macros

#define | _GLIBCXX_CONDITION_VARIABLE

## Enumerations

enum class | std::cv_status { no_timeout , timeout }

## Functions

void | std::notify_all_at_thread_exit (condition_variable &, unique_lock< mutex >)

## Detailed Description

This is a Standard C++ Library header.

Definition in file condition_variable.

## Macro Definition Documentation

## _GLIBCXX_CONDITION_VARIABLE

#define _GLIBCXX_CONDITION_VARIABLE

Definition at line 30 of file condition_variable.